Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1299922 - update 1.6.0
Summary: update 1.6.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: LuxRender
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1364618
TreeView+ depends on / blocked
 
Reported: 2016-01-19 14:51 UTC by mastaiza
Modified: 2016-10-30 17:53 UTC (History)
4 users (show)

Fixed In Version: LuxRender-1.6-2.fc25 LuxRender-1.6-2.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-26 22:30:43 UTC


Attachments (Terms of Use)
Update Luxrender.spec (deleted)
2016-09-02 02:09 UTC, Luya Tshimbalanga
no flags Details
Update Luxrender.spec (deleted)
2016-09-12 17:36 UTC, Luya Tshimbalanga
no flags Details
Updated Luxrender.spec (deleted)
2016-10-04 20:02 UTC, Luya Tshimbalanga
no flags Details
diff -ru embre-bvh_build and embree 2.11.0 (deleted)
2016-10-05 15:59 UTC, Luya Tshimbalanga
no flags Details | Diff

Description mastaiza 2016-01-19 14:51:53 UTC
update 1.5.1
http://www.luxrender.net/en_GB/community_news

Comment 1 Nicolas Chauvet (kwizart) 2016-02-04 17:13:15 UTC
Have you tested it ? Can you suggest a patch for the update ?

Comment 2 mastaiza 2016-02-06 07:38:22 UTC
no

Comment 3 Luya Tshimbalanga 2016-08-12 18:20:05 UTC
This version requires embree which is currently under review. 
https://bugzilla.redhat.com/show_bug.cgi?id=1364618

It also means x86 version is no more as well.

Comment 5 Luya Tshimbalanga 2016-09-02 02:09:38 UTC
Created attachment 1197027 [details]
Update Luxrender.spec

Hi kwizart,
Could you investigate why the build failed at this line below:



+ /usr/bin/cmake -DCMAKE_C_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_CXX_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_Fortran_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON -DCMAKE_INSTALL_PREFIX:PATH=/usr -DINCLUDE_INSTALL_DIR:PATH=/usr/include -DLIB_INSTALL_DIR:PATH=/usr/lib64 -DSYSCONF_INSTALL_DIR:PATH=/etc -DSHARE_INSTALL_PREFIX:PATH=/usr/share -DLIB_SUFFIX=64 -DBUILD_SHARED_LIBS:BOOL=ON -DCMAKE_VERBOSE_MAKEFILE:BOOL=TRUE
CMake Error: The source directory "/builddir/build/BUILD/luxrender-lux-b3f85cf7742f/luxrender-luxrays-61352e6aae3f/build" does not appear to contain CMakeLists.txt.
Specify --help for usage, or press the help button on the CMake GUI.
error: Bad exit status from /var/tmp/rpm-tmp.Lu9UZe (%build)
    Bad exit status from /var/tmp/rpm-tmp.Lu9UZe (%build)


I include the spec file for information.

Comment 6 Luya Tshimbalanga 2016-09-02 02:11:19 UTC
Assigned to f24 because the f23 failed to build due to version of python.

Comment 7 Luya Tshimbalanga 2016-09-02 03:08:25 UTC
Here is the scratch build

http://koji.fedoraproject.org/koji/taskinfo?taskID=15466715

Comment 8 Nicolas Chauvet (kwizart) 2016-09-12 12:09:04 UTC
/luxrender-luxrays-61352e6aae3f/build" does not appear to contain CMakeLists.txt.
What does contains this directory ? does it even exists ?
You probably need to update a snapshot of luxrays if not done already.

Comment 9 Luya Tshimbalanga 2016-09-12 17:36:17 UTC
Created attachment 1200266 [details]
Update Luxrender.spec

I have no idea how that build part line failed as I haven't changed anything other than updating the luxray snapshot. Even removing the "mkdir -p build" line returned the same result leaving me baffled.

Comment 10 Luya Tshimbalanga 2016-10-04 20:02:12 UTC
Created attachment 1207338 [details]
Updated Luxrender.spec

Cleaning the cmake line for building luxrays solved the problem. However, another issue appears with missing headers as seen on scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15902022

The culprit is "#include <embree2/rtcore_bvh_builder.h>" which is not available on upstream embree currently 2.11. 

Possible solutions are:
- Build an add-on for embree to include missing headers needed to properly build LuxRender i.e. extract them from the custom embree package from LuxRender developers.
- Currently updated LuxRender to 1.4, the last version without embree dependency

If someone has a proper suggestion, give a shot.

Comment 11 Nicolas Chauvet (kwizart) 2016-10-05 07:32:29 UTC
(In reply to Luya Tshimbalanga from comment #10)
> Created attachment 1207338 [details]
> Updated Luxrender.spec
> 
> Cleaning the cmake line for building luxrays solved the problem. However,
> another issue appears with missing headers as seen on scratch build:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=15902022
> 
> The culprit is "#include <embree2/rtcore_bvh_builder.h>" which is not
> available on upstream embree currently 2.11. 

> If someone has a proper suggestion, give a shot.
Is it possible to comment-out every functions that rely upon the custom embree from LuxRender ?
How big is the change from the custom embree ?

Comment 12 Luya Tshimbalanga 2016-10-05 15:59:37 UTC
Created attachment 1207641 [details]
diff -ru embre-bvh_build and embree 2.11.0

There are about 38 files only for custom embree i.e. bvh_build after comparing with upstream embree. I don't know to comment them out.

Comment 13 Luya Tshimbalanga 2016-10-06 02:01:05 UTC
(In reply to Luya Tshimbalanga from comment #12)
> Created attachment 1207641 [details]
> diff -ru embre-bvh_build and embree 2.11.0
> 
> There are about 38 files only for custom embree i.e. bvh_build after
> comparing with upstream embree. I don't know to comment them out.

Based on the diff -ru result, there are too many files to comment out meaning tracking all libraries made from custom embree inside the newest version of LuxRender. Possible solution is extract these custom libraries, package them separately and submit a suggestion to upstream LuxRender. It will be interesting to hear an alternative solution.

Comment 14 Luya Tshimbalanga 2016-10-19 00:03:59 UTC
With the help from upstream, it turned out the tarball for lux was the wrong version. After getting the correct tarball, LuxRender successfully scratch built from Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=16118950

Version 1.6 is on the way and please don't forget to add karma.

Comment 15 Fedora Update System 2016-10-19 18:54:58 UTC
LuxRender-1.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f01df1424

Comment 16 Fedora Update System 2016-10-19 19:55:14 UTC
LuxRender-1.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-071eec4a0e

Comment 17 Fedora Update System 2016-10-20 21:58:49 UTC
LuxRender-1.6-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9148516d2d

Comment 18 Fedora Update System 2016-10-20 22:56:51 UTC
LuxRender-1.6-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a1f343f48

Comment 19 Fedora Update System 2016-10-26 22:30:43 UTC
LuxRender-1.6-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-10-30 17:53:31 UTC
LuxRender-1.6-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.